Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Interface QueryFlushModes

All Known Subinterfaces:
  FetchConfiguration, JDBCFetchConfiguration, Query

All Known Implementing Classes:
  DelegatingFetchConfiguration, DelegatingJDBCFetchConfiguration, DelegatingQuery, DistributedQueryImpl, FetchConfigurationImpl, JDBCFetchConfigurationImpl, QueryImpl, TargetFetchConfiguration

    public interface QueryFlushModes

Constants for determining when to flush before queries.

Since:
  0.4.0
Author:
  Abe White

Field Summary
`static int` | `FLUSH_FALSE` Constant denoting that queries should never flush data to the database automatically before executing a query, but should instead execute queries in-memory if necessary.
`static int` | `FLUSH_TRUE` Constant denoting that queries should flush data to the database automatically whenever OpenJPA determines that relevant modifications have been made and IgnoreCache is `false`.
`static int` | `FLUSH_WITH_CONNECTION` Constant denoting that queries should flush data to the database automatically when OpenJPA determines that relevant modifications have been made and the current context already has a dedicated connection.

Field Detail

### FLUSH_TRUE

    static final int FLUSH_TRUE

  Constant denoting that queries should flush data to the database automatically whenever OpenJPA determines that relevant modifications have been made and IgnoreCache is `false`. See `OpenJPAConfiguration.getFlushBeforeQueries()` for more info.

  See Also:
    Constant Field Values

### FLUSH_FALSE

    static final int FLUSH_FALSE

  Constant denoting that queries should never flush data to the database automatically before executing a query, but should instead execute queries in-memory if necessary. See `OpenJPAConfiguration.getFlushBeforeQueries()` for more info.

  See Also:
    Constant Field Values

### FLUSH_WITH_CONNECTION

    static final int FLUSH_WITH_CONNECTION

  Constant denoting that queries should flush data to the database automatically when OpenJPA determines that relevant modifications have been made and the current context already has a dedicated connection. See `OpenJPAConfiguration.getFlushBeforeQueries()` for more info.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.